#ifndef __LIBLIST_H
#define __LIBLIST_H

#include "plugin.h"
#include "ltdl.h"
#include "ll.h"

typedef struct _tagLIBENTRY
{
  NODE node;
  lt_dlhandle handle;
  LIBINIT pInit;
  LPMODULE pModule;
} LIBENTRY,*LPLIBENTRY;

typedef LPLIST LPLIBLIST;
  
LPLIBLIST LibListCreate();
int LibListAdd(LPLIBLIST pList,LPLIBRARYINIT pInit,const char *pLibrary);
void LibListDestroy(LPLIBLIST pList);


#endif
