#ifndef __TOOLTIP__
#define __TOOLTIP__

#define TOOLTIP_SHOW_BOTTOM_LEFT 0
#define TOOLTIP_SHOW_TOP_LEFT 1

typedef struct _tagTOOLTIP
{
  Window wnd;
  char **pText;
  unsigned long background_pixel;
  unsigned int width;
  unsigned int height;
  LPFONT pFont;
} TOOLTIP, *LPTOOLTIP;

LPTOOLTIP CreateTooltip(const char *pTxt,int x,int y,unsigned long background,unsigned int showFlags,LPFONT pFont);
void DestroyTooltip(LPTOOLTIP pTooltip);
int ProcessTooltip(LPTOOLTIP pTooltip,XEvent *pEvent);

#endif
